<?
//ACCESO PARA ADMINISTRADOR GENERAL
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');

$o_ObjectBean = new CierrePedidoBean();
$tamanioPag = 20;


$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;


if($txtFechaInicial   !="")		{ $o_ObjectBean->setFechaInicial($txtFechaInicial); }
if($txtFechaFinal   !="")		{ $o_ObjectBean->setFechaFinal($txtFechaFinal); }
if($cboSucursal   !="")			{ $o_ObjectBean->setIdSucursal($cboSucursal); }
if($cboRepresentante   !="")	{ $o_ObjectBean->setIdColaborador($cboRepresentante); }


$o_class = new CierrePedidoBL();
$a_pedidocierre = $o_class->busquedaCierrePedidoReport($o_ObjectBean);

$o_CierrePedidoBeanDP = new CierrePedidoDP($o_ObjectBean);

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros( $o_CierrePedidoBeanDP->selectNumRowsReport());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);
if(!$page) $page = 1;
ViewResponse::getInstance()->setMethodAjax();
  
?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
       <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
                <th width="2%" >Nro</th>
                <th width="5%" align="left" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'Fecha','Fecha')?>&nbsp;</th>
                <th width="12%" align="left" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'IdSucursal','Sucursal')?>&nbsp;</th>
                <th width="15%" align="left" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'Idcolaborador','Representante')?></th>
                <th width="8%" align="left" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'Montototal','M.T.Pedidos')?>&nbsp;&nbsp;&nbsp;</th>
                <th width="8%" align="left" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'Montoaprobado','M.T.P.Apr.')?>&nbsp;&nbsp;&nbsp;</th>
                <th width="8%" align="left" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'Montorechazado','M.T.P.Des.')?>&nbsp;&nbsp;&nbsp;</th>
                 <th width="8%">Opciones</th>
                
              </tr>
              <? if(count($a_pedidocierre)>0){ ?>
                <? foreach ($a_pedidocierre as $iKey => $o_objBean){ ?>
                <tr onClick="TR_click(this);">
                  <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                  <td><?=$o_objBean->getFecha() ?></td>
                  <td><?=$o_objBean->getDescripcionSucursal() ?></td>
                  <td><?=$o_objBean->getNombreRep() ?></td>
                  <td><?=$o_objBean->getNumeropedidos() ?></td>
                  <td align="center"><?=$o_objBean->getNumeropedidosaprobados() ?></td>
                  <td align="center"><?=$o_objBean->getNumeropedidosdesaprobados() ?></td>
                  <td align="center" valign="top">                     
                     <input type="button" value="Detalle"  class="button" src="/images/common/buttons/btnEdit.gif" onClick="parent.objMainTab.modalDialog('<?=buildUrlComplet('op.php/pdo/show/i_idpedido/'.$o_objBean->getIdpedidocabecera().'/fecha/'.$o_objBean->getFecha(),'')?>',{title:'Detalle de Pedidos',width:1300,height:450})">&nbsp;
                  </td>
                </tr>
                <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>